Name:           fest-assert
Version:        1.4
Release:        6%{?dist}
Summary:        FEST Fluent Assertions

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://fest.easytesting.org

# from https://github.com/alexruiz/fest-assert-1.x/tarball/1.4
Source0:        https://github.com/alexruiz/fest-assert-1.x/tarball/1.4/fest-assert-1.x.tar.gz

BuildArch:      noarch
BuildRequires:  jpackage-utils

BuildRequires:  maven
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-surefire
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-dependency-plugin

BuildRequires:  fest-common = 1.0.11
BuildRequires:  fest-util = 1.2.0

Requires:       java
Requires:       fest-common = 1.0.11
Requires:       fest-util = 1.2.0

%description
Flexible or fluent assertions for testing

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n alexruiz-fest-assert-1.x-7a64c52
sed -i 's/\r//' README.md

# skip test because this package requires junit 4.8 but we only have
# junit 4.10, which is incompatible, also, the test depend on
# fest-mocks which is not packaged because it indirectly depends a
# package not allowed in fedora due to licensing issues
%build
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        -e \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar  %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt
%doc README.md

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog

* Thu May 3 2012 Mario Torre <neugens@redhat.com> 1.4-6
- Rename package again to match packaging guidelines

* Thu May 3 2012 Mario Torre <neugens@redhat.com> 1.4-5
- Rename package to match upstream name
- Fix the source to match upstream

* Thu May 3 2012 Mario Torre <neugens@redhat.com> 1.4-4
- Upgrade for Fedora 17
- Skip test compilation due to missed dependency
- Strip the Carriage Returns in README.md

* Thu May 3 2012 Mario Torre <neugens@redhat.com> 1.4-3
- Add patch to fix a spurious failing test

* Thu May 3 2012 Mario Torre <neugens@redhat.com> 1.4-2
- Fix dependencies
- Fix spec file
- Add comments for patches

* Wed Apr 25 2012 Mario Torre <neugens@redhat.com> 1.4-1
- Initial package
